> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision Billing System Configuration

> Provision or Update Your Billing System Configuration



## OpenAPI

````yaml post /api/v2/billing/billingSystemConfig
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/billing/billingSystemConfig:
    post:
      tags:
        - Billing
      summary: Provision Billing System Configuration
      description: Provision or Update Your Billing System Configuration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - billingSystemType
              properties:
                billingSystemType:
                  description: Type of billing system
                  type: string
                  example: stripe
                apiKey:
                  description: Required - API Key used for billing system access
                  type: string
                  example: somekey
                publishableKey:
                  description: Required - Publishable Key used for embeded checkouts
                  type: string
                  example: somepublishablekey
                webhookSigningKey:
                  description: >-
                    Required for Stripe only - used for validating webhooks are
                    signed by Stripe
                  type: string
                  example: somewebhooksigningkey
                site:
                  description: >-
                    Required for Chargebee only - site (without chargebee.com)
                    of your payment system
                  type: string
                  example: vida
                webhookUsername:
                  description: >-
                    Required for Chargebee only - username for webhook
                    authentication
                  type: string
                  example: someusername
                webhookPassword:
                  description: >-
                    Required for Chargebee only - password for webhook
                    authentication
                  type: string
                  example: somepassword
      responses:
        '200':
          description: Successfull response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Success
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````